## ros-noetic-rqt-reconfigure 0.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_reconfigure)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  roslint)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

roslint_python()

if (CATKIN_ENABLE_TESTING)
  roslint_add_test()
  catkin_add_nosetests(test)
endif()

=== debian/changelog ===
ros-noetic-rqt-reconfigure (0.5.5-1buster) buster; urgency=high

  * Show enum item description as tooltip (#113 <https://github.com/ros-visualization/rqt_reconfigure/issues/113>)
  * Contributors: Matthijs van der Burgh

 -- Scott K Logan <logans@cottsay.net>  Wed, 20 Apr 2022 07:00:00 -0000

ros-noetic-rqt-reconfigure (0.5.4-1buster) buster; urgency=high

  * Replace deprecated isAlive with is_alive (#102 <https://github.com/ros-visualization/rqt_reconfigure/issues/102>)
  * Update param_groups.py (#101 <https://github.com/ros-visualization/rqt_reconfigure/issues/101>)
  * Address rqt_reconfigure crashing with IndexError (#93 <https://github.com/ros-visualization/rqt_reconfigure/issues/93>)
  * Update the package.xml files with the latest Open Robotics maintainers (#94 <https://github.com/ros-visualization/rqt_reconfigure/issues/94>)
  * Contributors: Michael Jeronimo, Rafael Olaechea, Timon Engelke, augustinmanecy

 -- Scott K Logan <logans@cottsay.net>  Fri, 19 Mar 2021 07:00:00 -0000

ros-noetic-rqt-reconfigure (0.5.3-1buster) buster; urgency=high

  * Support PEP 338 invocation of rqt_reconfigure (#86 <https://github.com/cottsay/rqt_reconfigure/issues/86>)
  * Save instance state in rqt settings (#79 <https://github.com/cottsay/rqt_reconfigure/issues/79>)
  * Only enable apply group button when effective (#76 <https://github.com/cottsay/rqt_reconfigure/issues/76>)
  * Handle invalid enum values (#80 <https://github.com/cottsay/rqt_reconfigure/issues/80>)
  * Fix shebang line for Python 3 (#84 <https://github.com/cottsay/rqt_reconfigure/issues/84>)
  * Contributors: Mikael Arguedas, Scott K Logan

 -- Scott K Logan <logans@cottsay.net>  Fri, 12 Jun 2020 07:00:00 -0000

ros-noetic-rqt-reconfigure (0.5.2-1buster) buster; urgency=high

  * Fix node selection from command line (#77 <https://github.com/cottsay/rqt_reconfigure/issues/77>)
  * Handle non-ASCII characters in log messages in Python 2 (#72 <https://github.com/cottsay/rqt_reconfigure/issues/72>)
  * Don't process scroll events unless specifically focused (#73 <https://github.com/cottsay/rqt_reconfigure/issues/73>)
  * Implement a custom YAML constructor for dyn_re Config (#74 <https://github.com/cottsay/rqt_reconfigure/issues/74>)
  * Fix loopback propagation for sub-groups of 'apply' groups (#75 <https://github.com/cottsay/rqt_reconfigure/issues/75>)
  * Update package build to support ROS Noetic (#70 <https://github.com/cottsay/rqt_reconfigure/issues/70>)
  * Fix YAML dependency python version (#78 <https://github.com/cottsay/rqt_reconfigure/issues/78>)
  * Add sorting for tabs (#62 <https://github.com/cottsay/rqt_reconfigure/issues/62>)
  * Contributors: Alejandro Hernández Cordero, Flova, Scott K Logan

 -- Scott K Logan <logans@cottsay.net>  Fri, 08 May 2020 07:00:00 -0000

ros-noetic-rqt-reconfigure (0.5.1-1buster) buster; urgency=high

  * Reproduce python2 behavior in NoneType comparison (#60 <https://github.com/ros-visualization/rqt_reconfigure/issues/60>)
    Re-applied after the behavior was regressed in
    e55cfa1c9b2ba1ec97626bc330d6e97f3237f795
  * Contributors: Scott K Logan, Timon Engelke

 -- Scott K Logan <logans@cottsay.net>  Fri, 25 Oct 2019 07:00:00 -0000

ros-noetic-rqt-reconfigure (0.5.0-1buster) buster; urgency=high

  * Use a consistent formatting method when logging (#49 <https://github.com/ros-visualization/rqt_reconfigure/issues/49>)
    This will improve logging function compatibility between ROS 1 and
    ROS 2.
  * Superficial changes to align ROS 1 and ROS 2 branches (#47 <https://github.com/ros-visualization/rqt_reconfigure/issues/47>)
  * Add explicit PyYAML dependency (#45 <https://github.com/ros-visualization/rqt_reconfigure/issues/45>)
  * Another round of license formatting alignment (#43 <https://github.com/ros-visualization/rqt_reconfigure/issues/43>)
    This change removes a superfluous license specification in license
    headers and makes the formatting in the test files' headers the same as
    the source files'.
  * Re-format license headers to conform to ROS templates (#39 <https://github.com/ros-visualization/rqt_reconfigure/issues/39>)
    This change adds a line to the license headers specifying the name of
    the license that follows. It also re-formats the recently added LICENSE
    and CONTRIBUTING.md files to match the templates.
  * Rename DynreconfClientWidget => ParamClientWidget (#36 <https://github.com/ros-visualization/rqt_reconfigure/issues/36>)
  * Add LICENSE and CONTRIBUTING.md (#37 <https://github.com/ros-visualization/rqt_reconfigure/issues/37>)
  * Format per linter suggestions and run tests (#35 <https://github.com/ros-visualization/rqt_reconfigure/issues/35>)
  * Reproduce python2 behavior in NoneType comparison (#30 <https://github.com/ros-visualization/rqt_reconfigure/issues/30>)
  * Fix some linter errors and get tests running (#33 <https://github.com/ros-visualization/rqt_reconfigure/issues/33>)
  * Pull logging methods into a separate file (#34 <https://github.com/ros-visualization/rqt_reconfigure/issues/34>)
  * Update to package.xml format 2 (#32 <https://github.com/ros-visualization/rqt_reconfigure/issues/32>)
  * Contributors: Scott K Logan, Timon Engelke

 -- Scott K Logan <logans@cottsay.net>  Tue, 22 Oct 2019 07:00:00 -0000

ros-noetic-rqt-reconfigure (0.4.10-1buster) buster; urgency=high

  * Lazy load dynamic_reconfigure client for each node
    Fixes #20 <https://github.com/ros-visualization/rqt_reconfigure/issues/20>
  * Use English locale in QDoubleValidator
    Fixes #21 <https://github.com/ros-visualization/rqt_reconfigure/issues/21>
  * Contributors: Arkady Shapkin, Yuki Furuta

 -- Scott K Logan <logans@cottsay.net>  Thu, 19 Apr 2018 07:00:00 -0000

ros-noetic-rqt-reconfigure (0.4.9-1buster) buster; urgency=high

  * Added error handling for dynamic_reconfigure exceptions (#10 <https://github.com/ros-visualization/rqt_reconfigure/pull/10>)


=== debian/control ===
Source: ros-noetic-rqt-reconfigure
Section: misc
Priority: optional
Maintainer: Scott K Logan <logans@cottsay.net>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin, ros-noetic-roslint, ros-noetic-rostest <!nocheck>
Homepage: http://wiki.ros.org/rqt_reconfigure
Standards-Version: 3.9.2

Package: ros-noetic-rqt-reconfigure
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-yaml, ros-noetic-dynamic-reconfigure, ros-noetic-python-qt-binding (>= 0.2.19), ros-noetic-rospy, ros-noetic-rqt-console, ros-noetic-rqt-gui, ros-noetic-rqt-gui-py, ros-noetic-rqt-py-common
Description: This rqt plugin succeeds former dynamic_reconfigure's GUI (reconfigure_gui), and provides the way to view and edit the parameters that are accessible via dynamic_reconfigure.
 (12/27/2012) In the future, arbitrary parameters that are not associated with any nodes (which are not handled by dynamic_reconfigure) might become handled. However, currently as the name indicates, this pkg solely is dependent on dynamic_reconfigure that allows access to only those params latched to nodes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-reconfigure//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rqt-reconfigure 0.5.6

=== debian/changelog ===
ros-noetic-rqt-reconfigure (0.5.6-1focal) focal; urgency=high

  * Add xml-model (#125 <https://github.com/ros-visualization/rqt_reconfigure/issues/125>)
  * Update maintainer (#114 <https://github.com/ros-visualization/rqt_reconfigure/issues/114>)
  * Contributors: Dharini Dutia, Matthijs van der Burgh, quarkytale

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-noetic-rqt-reconfigure (0.5.5-1focal) focal; urgency=high

  * Show enum item description as tooltip (#113 <https://github.com/ros-visualization/rqt_reconfigure/issues/113>)
  * Contributors: Matthijs van der Burgh

 -- Scott K Logan <logans@cottsay.net>  Wed, 20 Apr 2022 00:00:00 -0000

ros-noetic-rqt-reconfigure (0.5.4-1focal) focal; urgency=high

  * Replace deprecated isAlive with is_alive (#102 <https://github.com/ros-visualization/rqt_reconfigure/issues/102>)
  * Update param_groups.py (#101 <https://github.com/ros-visualization/rqt_reconfigure/issues/101>)
  * Address rqt_reconfigure crashing with IndexError (#93 <https://github.com/ros-visualization/rqt_reconfigure/issues/93>)
  * Update the package.xml files with the latest Open Robotics maintainers (#94 <https://github.com/ros-visualization/rqt_reconfigure/issues/94>)
  * Contributors: Michael Jeronimo, Rafael Olaechea, Timon Engelke, augustinmanecy

 -- Scott K Logan <logans@cottsay.net>  Fri, 19 Mar 2021 00:00:00 -0000

ros-noetic-rqt-reconfigure (0.5.3-1focal) focal; urgency=high

  * Support PEP 338 invocation of rqt_reconfigure (#86 <https://github.com/cottsay/rqt_reconfigure/issues/86>)
  * Save instance state in rqt settings (#79 <https://github.com/cottsay/rqt_reconfigure/issues/79>)
  * Only enable apply group button when effective (#76 <https://github.com/cottsay/rqt_reconfigure/issues/76>)
  * Handle invalid enum values (#80 <https://github.com/cottsay/rqt_reconfigure/issues/80>)
  * Fix shebang line for Python 3 (#84 <https://github.com/cottsay/rqt_reconfigure/issues/84>)
  * Contributors: Mikael Arguedas, Scott K Logan

 -- Scott K Logan <logans@cottsay.net>  Fri, 12 Jun 2020 00:00:00 -0000

ros-noetic-rqt-reconfigure (0.5.2-1focal) focal; urgency=high

  * Fix node selection from command line (#77 <https://github.com/cottsay/rqt_reconfigure/issues/77>)
  * Handle non-ASCII characters in log messages in Python 2 (#72 <https://github.com/cottsay/rqt_reconfigure/issues/72>)
  * Don't process scroll events unless specifically focused (#73 <https://github.com/cottsay/rqt_reconfigure/issues/73>)
  * Implement a custom YAML constructor for dyn_re Config (#74 <https://github.com/cottsay/rqt_reconfigure/issues/74>)
  * Fix loopback propagation for sub-groups of 'apply' groups (#75 <https://github.com/cottsay/rqt_reconfigure/issues/75>)
  * Update package build to support ROS Noetic (#70 <https://github.com/cottsay/rqt_reconfigure/issues/70>)
  * Fix YAML dependency python version (#78 <https://github.com/cottsay/rqt_reconfigure/issues/78>)
  * Add sorting for tabs (#62 <https://github.com/cottsay/rqt_reconfigure/issues/62>)
  * Contributors: Alejandro Hernández Cordero, Flova, Scott K Logan

 -- Scott K Logan <logans@cottsay.net>  Fri, 08 May 2020 00:00:00 -0000

ros-noetic-rqt-reconfigure (0.5.1-1focal) focal; urgency=high

  * Reproduce python2 behavior in NoneType comparison (#60 <https://github.com/ros-visualization/rqt_reconfigure/issues/60>)
    Re-applied after the behavior was regressed in
    e55cfa1c9b2ba1ec97626bc330d6e97f3237f795
  * Contributors: Scott K Logan, Timon Engelke

 -- Scott K Logan <logans@cottsay.net>  Fri, 25 Oct 2019 00:00:00 -0000

ros-noetic-rqt-reconfigure (0.5.0-1focal) focal; urgency=high

  * Use a consistent formatting method when logging (#49 <https://github.com/ros-visualization/rqt_reconfigure/issues/49>)
    This will improve logging function compatibility between ROS 1 and
    ROS 2.
  * Superficial changes to align ROS 1 and ROS 2 branches (#47 <https://github.com/ros-visualization/rqt_reconfigure/issues/47>)
  * Add explicit PyYAML dependency (#45 <https://github.com/ros-visualization/rqt_reconfigure/issues/45>)
  * Another round of license formatting alignment (#43 <https://github.com/ros-visualization/rqt_reconfigure/issues/43>)
    This change removes a superfluous license specification in license
    headers and makes the formatting in the test files' headers the same as
    the source files'.
  * Re-format license headers to conform to ROS templates (#39 <https://github.com/ros-visualization/rqt_reconfigure/issues/39>)
    This change adds a line to the license headers specifying the name of
    the license that follows. It also re-formats the recently added LICENSE
    and CONTRIBUTING.md files to match the templates.
  * Rename DynreconfClientWidget => ParamClientWidget (#36 <https://github.com/ros-visualization/rqt_reconfigure/issues/36>)
  * Add LICENSE and CONTRIBUTING.md (#37 <https://github.com/ros-visualization/rqt_reconfigure/issues/37>)
  * Format per linter suggestions and run tests (#35 <https://github.com/ros-visualization/rqt_reconfigure/issues/35>)
  * Reproduce python2 behavior in NoneType comparison (#30 <https://github.com/ros-visualization/rqt_reconfigure/issues/30>)
  * Fix some linter errors and get tests running (#33 <https://github.com/ros-visualization/rqt_reconfigure/issues/33>)
  * Pull logging methods into a separate file (#34 <https://github.com/ros-visualization/rqt_reconfigure/issues/34>)
  * Update to package.xml format 2 (#32 <https://github.com/ros-visualization/rqt_reconfigure/issues/32>)
  * Contributors: Scott K Logan, Timon Engelke

 -- Scott K Logan <logans@cottsay.net>  Tue, 22 Oct 2019 00:00:00 -0000

ros-noetic-rqt-reconfigure (0.4.10-1focal) focal; urgency=high

  * Lazy load dynamic_reconfigure client for each node
    Fixes #20 <https://github.com/ros-visualization/rqt_reconfigure/issues/20>
  * Use English locale in QDoubleValidator
    Fixes #21 <https://github.com/ros-visualization/rqt_reconfigure/issues/21>


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-noetic-rqt-reconfigure
 Section: misc
 Priority: optional
-Maintainer: Scott K Logan <logans@cottsay.net>
+Maintainer: Dharini Dutia <dharini@openrobotics.org>
 Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin, ros-noetic-roslint, ros-noetic-rostest <!nocheck>
 Homepage: http://wiki.ros.org/rqt_reconfigure
 Standards-Version: 3.9.2

## ros-noetic-rqt-reconfigure 0.5.7

=== debian/changelog ===
ros-noetic-rqt-reconfigure (0.5.7-1focal) focal; urgency=high

  * Bump cmake_minimum_required to avoid deprecation (#152 <https://github.com/ros-visualization/rqt_reconfigure/issues/152>)
  * Contributors: Arne Hitzmann

 -- Dharini Dutia <dharini@openrobotics.org>  Sat, 26 Apr 2025 00:00:00 -0000
